This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476463 - RFE: add "s0=SystemLow" to setrans.conf
RFE: add "s0=SystemLow" to setrans.conf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mcstrans (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 19:57 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 07:53:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2008-12-14 19:57:08 EST
Description of problem:
Reported by Dominick Grift.

By default, setrans.conf has "s0=". When running mcstrans, all levels are not translated:

$ sudo semanage login -l

Login Name                SELinux User              MLS/MCS Range            

__default__               unconfined_u              s0                       
root                      unconfined_u              SystemLow-SystemHigh     
system_u                  system_u                  SystemLow-SystemHigh


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.5.13-34.fc10.noarch
selinux-policy-3.5.13-34.fc10.noarch
mcstrans-0.2.11-1.fc10.i386


Expected results:
__default__               unconfined_u              SystemLow
Comment 1 john5342 2009-01-05 16:33:17 EST
This bug has been triaged
Comment 2 Dominick Grift 2009-02-27 11:50:05 EST
This is fixed in mcstrans-0.3.1-1.fc11.x86_64

Except that setrans.conf has not been properly updated.

selinux-policy-targeted-3.6.6-6.fc11.noarch apears to have create: /etc/selinux/targeted/setrans.conf.rpmnew, however the contents of this file does not reflect the fix:

sh-4.0# cat /etc/selinux/targeted/setrans.conf.rpmnew
#
# Multi-Category Security translation table for SELinux
# 
# Uncomment the following to disable translation libary
# disable=1
#
# Objects can be categorized with 0-1023 categories defined by the admin.
# Objects can be in more than one category at a time.
# Categories are stored in the system as c0-c1023.  Users can use this
# table to translate the categories into a more meaningful output.
# Examples:
# s0:c0=CompanyConfidential
# s0:c1=PatientRecord
# s0:c2=Unclassified
# s0:c3=TopSecret
# s0:c1,c3=CompanyConfidentialRedHat
s0=
s0-s0:c0.c1023=SystemLow-SystemHigh
s0:c0.c1023=SystemHigh

Notice the s0=
This cannot be read by mcstrans, and so the service cannot start properly.

In my view setrans.conf.rpmnew (setrans.conf) should read:

sh-4.0# cat /etc/selinux/targeted/setrans.conf
#
# Multi-Category Security translation table for SELinux
# 
# Uncomment the following to disable translation libary
# disable=1
#
# Objects can be categorized with 0-1023 categories defined by the admin.
# Objects can be in more than one category at a time.
# Categories are stored in the system as c0-c1023.  Users can use this
# table to translate the categories into a more meaningful output.
# Examples:
# s0:c0=CompanyConfidential
# s0:c1=PatientRecord
# s0:c2=Unclassified
# s0:c3=TopSecret
# s0:c1,c3=CompanyConfidentialRedHat
s0=SystemLow
s0-s0:c0.c1023=SystemLow-SystemHigh
s0:c0.c1023=SystemHigh
Comment 3 Daniel Walsh 2009-02-28 07:53:00 EST
Fixed in selinux-policy-3.6.6-9.fc11

Note You need to log in before you can comment on or make changes to this bug.